Моя Анаконда внезапно перестала работать

Моя Anaconda перестала работать после того, как я установил некоторые пакеты для статистики (не совсем уверен, связаны ли они), я не могу открыть Jupyter Notebook или Spyder, я могу открыть навигатор Anaconda только из командной строки Anaconda и однажды там, если я попытаюсь запустить Jupyter или Spyder я получаю это сообщение об ошибке:

`Traceback (most recent call last):
File "C:\ProgramData\Anaconda3\lib\site-packages\jupyterlab_server\server.py", line 20, in 
from notebook.notebookapp import aliases, flags, NotebookApp as ServerApp
File "C:\Users\Jorge87\AppData\Roaming\Python\Python37\site-packages\notebook\notebookapp.py", line 49, in 
from zmq.eventloop import ioloop
File "C:\Users\Jorge87\AppData\Roaming\Python\Python37\site-packages\zmq\__init__.py", line 47, in 
from zmq import backend
File "C:\Users\Jorge87\AppData\Roaming\Python\Python37\site-packages\zmq\backend\__init__.py", line 40, in 
reraise(*exc_info)
File "C:\Users\Jorge87\AppData\Roaming\Python\Python37\site-packages\zmq\utils\sixcerpt.py", line 34, in reraise
raise value
File "C:\Users\Jorge87\AppData\Roaming\Python\Python37\site-packages\zmq\backend\__init__.py", line 27, in 
_ns = select_backend(first)
File "C:\Users\Jorge87\AppData\Roaming\Python\Python37\site-packages\zmq\backend\select.py", line 28, in select_backend
mod = __import__(name, fromlist=public_api)
File "C:\Users\Jorge87\AppData\Roaming\Python\Python37\site-packages\zmq\backend\cython\__init__.py", line 6, in 
from . import (constants, error, message, context,
ImportError: cannot import name 'constants' from 'zmq.backend.cython' (C:\Users\Jorge87\AppData\Roaming\Python\Python37\site-packages\zmq\backend\cython\__init__.py)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\ProgramData\Anaconda3\Scripts\jupyter-lab-script.py", line 5, in 
from jupyterlab.labapp import main
File "C:\ProgramData\Anaconda3\lib\site-packages\jupyterlab\labapp.py", line 14, in 
from jupyterlab_server import slugify, WORKSPACE_EXTENSION
File "C:\ProgramData\Anaconda3\lib\site-packages\jupyterlab_server\__init__.py", line 4, in 
from .app import LabServerApp
File "C:\ProgramData\Anaconda3\lib\site-packages\jupyterlab_server\app.py", line 9, in 
from .server import ServerApp
File "C:\ProgramData\Anaconda3\lib\site-packages\jupyterlab_server\server.py", line 26, in 
from jupyter_server.base.handlers import ( # noqa
ModuleNotFoundError: No module named 'jupyter_server'
`

Я попытался удалить Python и установить его снова, я попытался также удалить Anaconda и установить его снова, но, похоже, ничего не работает.

Я также попытался обновить Anaconda и написать команду «Активировать корень», а затем «обновить conda», как я видел в других решениях при переполнении стека, но, похоже, ничего не работает.

Я использую Windows на всякий случай.

См. также:  Показать пины подколлекции firebase на карте - Flutter
Понравилась статья? Поделиться с друзьями:
IT Шеф
Комментарии: 2
  1. JMarcos87

    попробуйте переустановить модуль jupyter_server, поскольку именно он выдает ошибку. (Не знаю, работаете ли вы на базе.)

    or try to create a virtual environment and run it without anything else (the version of python you have)

    conda create --name envexample python=3.7

    There you will know if the base environment is corrupted and not the instances themselves.

    или у вас есть другой вариант переустановить все

    conda update --all --no-pin --no-channel-priority

    PS: это дало мне много проблем в Windows (8.1), так как ядро ​​операционной системы чрезмерно защищает себя, позволяя некоторым процессам и потокам не мешать друг другу, в настоящее время я использую его в Linux (ubuntu), и это не дало мне никаких проблем так далеко . person JMarcos87; 04.04.2020

    Спасибо, теперь я выполнил эту строку и получил следующее: # Чтобы активировать эту среду, используйте # # $ conda activate envexample # # Чтобы деактивировать активную среду, используйте # # $ conda deactivate person JMarcos87; 04.04.2020

    ну, видимо, я думаю, вы забыли активировать среду. если вы хотите, чтобы он запускался автоматически, используйте conda config —set auto_activate_base true, чтобы при каждом запуске вам не приходилось писать активацию среды person JMarcos87; 04.04.2020

    Я попробовал другую строку и получил эту ошибку: ImportError: Ошибка загрузки DLL:% 1 не является допустимым приложением Win32 person JMarcos87; 04.04.2020

    какая еще линия? person JMarcos87; 04.04.2020

    Мне нужно больше меньше информации, шаги, которые вы предпринимаете, и результаты этих действий. person JMarcos87; 04.04.2020

  2. JMarcos87

    установка jupyter_server может помочь

    conda install -c conda-forge jupyter_server
    
Добавить комментарий

;-) :| :x :twisted: :smile: :shock: :sad: :roll: :razz: :oops: :o :mrgreen: :lol: :idea: :grin: :evil: :cry: :cool: :arrow: :???: :?: :!: